[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TClassList.Insert

Insert a new class pointer in the list.

## Declaration

Source position: contnrs.pp line 125

`public procedure TClassList.Insert(`
`Index: Integer;`
`AClass: TClass`
`);`

## Arguments

`Index` |  | Position to insert class pointer at.
`AClass` |  | Class pointer to insert.

## Description

Insert inserts a class pointer in the list at position Index. It simply overrides the parent implementation so it only accepts class pointers. It introduces no new behaviour.

## Errors

None.

## See also

#rtl.classes.TList.Insert
TClassList.Add |  | Add a new class pointer to the list.
TClassList.Remove |  | Remove a class pointer from the list.

Documentation generated on: Feb 26 2014